<template>
    <div class="progress-bar-container">
        <div class="progress-bar" :style="{ width: progress + '%' }"></div>
    </div>
</template>

<script setup>
defineProps({
    progress: {
        type: Number,
        default: 0,
    },
});
</script>

<style scoped>
.progress-bar-container {
    width: 100%;
    background-color: #eee;
    border-radius: 8px;
}
.progress-bar {
    height: 10px;
    background-color: #00e169;
    border-radius: 8px;
}
</style>
